﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ThinkGeo.MapSuite.Core;
using System.Collections.ObjectModel;
using System.Drawing;

    public partial class BlinkingTextStyle_DR : TextStyle
    {
        private Collection<GeoBrush> candidates =new Collection<GeoBrush>();
        protected override void DrawCore(IEnumerable<Feature> features, GeoCanvas canvas, System.Collections.ObjectModel.Collection<SimpleCandidate> labelsInThisLayer, System.Collections.ObjectModel.Collection<SimpleCandidate> labelsInAllLayers)
        {
            foreach (var feature in features)
            {
                canvas.DrawText(feature.ColumnValues["FlightID"].ToString(), new GeoFont("Aircraft_b", (float)40, DrawingFontStyles.Regular), GetFillBrush(), new GeoPen(GeoColor.FromArgb(0, 255, 255, 255)), new Collection<ScreenPointF> { ExtentHelper.ToScreenCoordinate(canvas.CurrentWorldExtent, (PointShape)feature.GetShape(), canvas.Width, canvas.Height) }, DrawingLevel, 0, 0, 0);
                //canvas.DrawText(feature.ColumnValues["FlightID"].ToString(), new GeoFont("Arial", 10, DrawingFontStyles.Regular), GetFillBrush("255,255,0,0"), new GeoPen(GeoColor.FromArgb(0, 255, 255, 255)), new Collection<ScreenPointF> { ExtentHelper.ToScreenCoordinate(canvas.CurrentWorldExtent, (PointShape)feature.GetShape(), canvas.Width, canvas.Height) }, DrawingLevel, 0, 0, 0);
            }
        }

        public Collection<GeoBrush> FillBrushes
        {
            get { return candidates; }
        }

        private GeoBrush GetFillBrush()
        {
            Random random = new Random();
            int index = random.Next(candidates.Count);

            return candidates[index];
        }

        //int count=0;
        //private GeoBrush GetFillBrush(string sDRAlertColor)
        //{
        //    int index = count;
        //    if (sDRAlertColor == "255,255,0,0" && index != 0)
        //        index = 2;
        //    else if (sDRAlertColor != "255,255,0,0" && index!=0)
        //        index = 1;

        //    if (count == 2)
        //        count = 0;
        //    else
        //        count++;
        //    return candidates[index];
        //}
    }

